package file.sr;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.net.DatagramPacket;
import java.net.DatagramSocket;
import java.net.InetAddress;
import java.net.SocketException;
import java.net.UnknownHostException;

public class Receiver {

	int rcvBase;
	
	DatagramSocket receiverSocket;
	String fileName;
	int portaDoSender;
	int portaDoReceiver;
	InetAddress ipDoSender;
	BufferedOutputStream bos;
	public final int WINDOW_SIZE=100;
	public final int PACKET_SIZE=1009;
	
	Pacotinho[] receiverBuffer = new Pacotinho[WINDOW_SIZE];
	

	public Receiver(String fileName, int portaDoReceiver, int portaDoSender, InetAddress ipDoSender ) throws SocketException, FileNotFoundException, UnknownHostException{
		this.fileName=fileName;
		this.portaDoReceiver=portaDoReceiver;
		this.portaDoSender=portaDoSender;
		this.ipDoSender=ipDoSender;
		
		iniciar();
	}
	
	public static final int byteArrayToInt(byte[] b) {
		return (b[0] << 24) + ((b[1] & 0xFF) << 16) + ((b[2] & 0xFF) << 8)
				+ (b[3] & 0xFF);
	}
	
	public void iniciar() throws SocketException, FileNotFoundException, UnknownHostException{
		receiverSocket = new DatagramSocket(portaDoReceiver);
		File out = new File(fileName);
		FileOutputStream fos = new FileOutputStream(out);
		bos = new BufferedOutputStream(fos);
	}
	
}
