package file.sr;
import java.io.IOException;
import java.net.*;

public class sendThread implements Runnable {// thread criada pra cada pacote

	Pacote packet;
	int threadPacketNumber;
	DatagramSocket socket;
	InetAddress address;
	int port;
	Sender send;

	public sendThread(Pacote packet, DatagramSocket socket,
			InetAddress address, int port, Sender send)
			throws UnknownHostException {
		this.packet = packet;
		this.threadPacketNumber = packet.getPacketNumber();
		this.socket = socket;
		this.address = address;
		this.port = port;
		this.send = send;
	}

	public void run() {

		boolean roda = true;
		

		while (roda) {
			byte[] dados = packet.getData();
			DatagramPacket datagramPacket = new DatagramPacket(dados,
					dados.length, address, port);
			try {
				socket.send(datagramPacket);
				Thread.sleep(200);

			} catch (IOException e) {

			} catch (InterruptedException e) {
				//System.out.println("thread morreu!");
				roda = false;
			}

		}
	}

}// fim do sendthread

