package net;
import java.io.IOException;
import java.net.DatagramPacket;


public class SendingThread extends Thread{
	private Transport t;
	private boolean vive;
	public SendingThread(Transport t){
		this.t = t;
		vive = true;
	}
	public void kill(){
		vive = false;
		byte[] dados = {-33};
		DatagramPacket pacoteKill = new DatagramPacket(dados, dados.length);
		try {
			t.getBuffer().put(pacoteKill);
		} catch (InterruptedException e) {
			System.out.println(e.getMessage());
		}
	}
	@Override
	public void run(){

		while(vive){
			DatagramPacket pacote = null;
			try {
				pacote = t.getBuffer().take();
			} catch (InterruptedException e) {
				System.out.println(e.getMessage());
			}
			if(pacote != null){
				if (pacote.getData()[0] != -33) {
					try {
						t.getSocketSaida().send(pacote);
					} catch (IOException e) {
						System.out.println(e.getMessage());
					}
				}
			}
		}
	}
}
